#{extends 'borderNG.html' /}

#{set 'titleHead'}
Informasi Tender ${paket?.pkt_nama}
#{/set}

<ul class="breadcrumb">
	<li><a href="@{BerandaCtr.index()}" >Beranda</a></li>
	<li><a href="@{lelang.LelangCtr.view(lelang.lls_id)}" >Informasi Tender</a></li>
	<li class="active">Prakualifikasi Gagal</li>
</ul>
<div class="content">
#{alert /}
#{form @lelang.LelangCtr.praGagalSubmit(lelang.lls_id), id:'form-ulangpra'}
	<input type="hidden" name="actionLelang" value="${persetujuan?.pst_jenis?.key}" />
	<table class="table table-sm">
		<tr>
			<th class="bgwarning" width="200">Kode Tender</th>
			<td >${lelang.lls_id} <a href="@{admin.UtilityCtr.viewPDF(lelang.lls_id)}" class="badge  badge-secondary float-right">Summary Tender</a></td>
		</tr>
		<tr>
			<th class="bgwarning">Nama Paket</th>
			<td>${lelang.namaPaket}</td></tr>
		<tr>
			<th class="bgwarning">Tahap Tender saat ini</th>
			<td><a href="@{lelang.JadwalCtr.tahap(lelang.lls_id)}" target="_blank">${tahapNow?.raw()}</a></td>
		</tr>
		<tr>
			<th class="bgwarning">Satuan Kerja</th>
			<td>${lelang.paket?.namaSatker}</td>
		</tr>
		<tr>
			<th class="bgwarning">Tender ke</th>
			<td>${lelang.lls_versi_lelang}</td>
		</tr>
		#{if !belumPersetujuan }
			<tr>
				<th class="bgwarning">${alasanLabel}</th>
				<td>
					#{if checklist}
						#{list items:checklist, as:'item'}
						<input type="hidden" name="checklistKategori[${item_index-1}].cks_id" value="${item.cks_id}" />
						- ${item?.checklist_master?.ckm_nama} <br/>
						#{/list}
					#{/if}
					#{if !lelang.lls_ditutup_karena?.isEmpty()} - ${lelang.lls_ditutup_karena} #{/if}
				</td>
			</tr>
		#{/if}
	</table>
	#{if belumPersetujuan}
		#{if lelang.lls_status.aktif && !lelang.pemilihan.lelangExpress}
			<button type="button" class="btn btn-success" data-toggle="modal" data-target="#modalEvaluasiPraUlang">Evaluasi Prakualifikasi Ulang</button>
			<button type="button" class="btn btn-success" data-toggle="modal" data-target="#modalPemasukanPraUlang">Pemasukan Prakualifikasi Ulang</button>
			<button type="button" class="btn btn-danger" data-toggle="modal" data-target="#modalPrakualifikasiUlang">Prakualifikasi Ulang</button>
			<button type="button" class="btn btn-danger" data-toggle="modal" data-target="#modalPrakualifikasiBatal">Prakualifikasi Batal</button>
		#{/if}
	#{/if}
	#{else}
		<div class="card card-info">
			<div class="card-header"><b>Status Persetujuan</b></div>
			#{persetujuanList lelang.lls_id, pemenang:false, jenisKey:persetujuan.pst_jenis.key /}
		</div>
		#{if allowPersetujuan}
			<div class="card card-info">
				<div class="card-header"><b>Persetujuan</b></div>
				<div class="card-body">
					#{paktaIntegritas active_user:active_user/}
					<div class="form-group">
						<label><b>Alasan Tidak Setuju</b></label>
						<textarea id="alasan" name="alasanTidakSetuju" rows="4" cols="50" class="form-control #{validate 'alasanTidakSetuju'/}">${lelang.findPersetujuan(active_user.pegawaiId, false)?.alasan}</textarea>
						<div class="invalid-feedback">#{error 'alasanTidakSetuju' /}</div>
						<span class="form-text">Alasan minimal <b>30 karakter</b> </span>
					</div>
					<button type="submit" name="setuju" id="setuju" value="true" class="btn btn-primary">Setuju</button>
					<button type="submit" name="setuju" id="tidak-setuju" value="false" class="btn btn-danger">Tidak Setuju</button>
				</div>
			</div>
		#{/if}
		#{if allowBatalPersetujuan}
			<a href="@{lelang.PersetujuanCtr.batalPersetujuanPraGagalTender(lelang.lls_id)}" onclick="return confirm('Apakah Anda yakin untuk membatalkan Persetujuan Anda?')"
			   class="btn btn-danger">Pembatalan Persetujuan</a>
		#{/if}
	#{/else}
	#{backButton action:@lelang.LelangCtr.view(lelang.lls_id) /}
#{/form}
	<div class="modal fade" id="modalEvaluasiPraUlang">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header" style="background-color:#31b0d5;">
					<h6 class="modal-title" style="margin-bottom: -30px; color: #fff;">Konfirmasi</h6>
					<button type="button" class="close" data-dismiss="modal">&times;</button>
				</div>
				<div class="modal-body">
					Apakah anda yakin akan melakukan Evaluasi Prakualifikasi Ulang pada paket ini ?
				</div>
				<div class="modal-footer">
					<a href="@{lelang.EvaluasiCtr.ulangPra(lelang.lls_id)}" class="btn btn-info">Ya</a>
					<button type="button" class="btn btn-secondary" data-dismiss="modal">Tidak</button>
				</div>
			</div>
		</div>
	</div>
</div>
</div>
</div>
</div>

<div class="modal fade" id="modalPemasukanPraUlang">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header" style="background-color:#31b0d5;">
				<h6 class="modal-title" style="margin-bottom: -30px; color: #fff;">Konfirmasi</h6>
				<button type="button" class="close" data-dismiss="modal">&times;</button>
			</div>
			<div class="modal-body">
				Apakah anda yakin akan melakukan Pemasukan Prakualifikasi Ulang pada paket ini ?
			</div>
			<div class="modal-footer">
				<a href="@{lelang.LelangCtr.penawaranUlangPra(lelang.lls_id)}" class="btn btn-info">Ya</a>
				<button type="button" class="btn btn-secondary" data-dismiss="modal">Tidak</button>
			</div>
		</div>
	</div>
</div>
</div>
</div>
</div>
</div>

<div class="modal fade" id="modalPrakualifikasiUlang">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header" style="background-color:#31b0d5;">
				<h6 class="modal-title" style="margin-bottom: -30px; color: #fff;">Konfirmasi</h6>
				<button type="button" class="close" data-dismiss="modal">&times;</button>
			</div>
			<div class="modal-body">
				Apakah anda yakin akan melakukan Prakualifikasi Ulang pada paket ini ?
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-info" data-dismiss="modal" data-toggle="modal" onClick="functionUlang()">Ya</button>
				<button type="button" class="btn btn-secondary" data-dismiss="modal">Tidak</button>
			</div>
		</div>
	</div>
</div>
</div>
</div>
</div>
</div>

<div id="praulang" style="display:none;">
#{form @lelang.LelangCtr.praGagalSubmit(lelang.lls_id), id:'form-ulangpra'}
	<input type="hidden" name="actionLelang" value="${persetujuan?.pst_jenis?.key}" />
	<div id="alert"></div>
	<table>
		<tr>
			<td>Alasan Prakualifikasi Ulang <span class="warning">*</span></td>
		</tr>
		<tr>
			<td>
				<table id="tblChecklist">
					#{if checklist}
						#{list items:checklist, as:'item'}
							<input type="hidden" name="checklistKategori[${item_index-1}].cks_id" value="${item.cks_id}" />
							<tr class="syarat">
								<td width="5">
									#{if item?.checklist_master.checked}
										<input type="hidden" name="checklistKategori[${item_index-1}].ckm_id" value="${item.checklist_master.ckm_id}" />
										<input type="checkbox" class="form-check-input" name="checklistKategori[${item_index-1}].ckm_id" value="${item.checklist_master.ckm_id}" checked="checked" />
									#{/if}
									#{else}
										<input style="margin-right: 10px;" type="checkbox" class="form-check-input praulang_checklist" name="checklistKategori[${item_index-1}].ckm_id" value="${item.checklist_master.ckm_id}" #{if item.checked} checked="checked" #{/if} />
									#{/else}
								</td>
								<td>
								${item?.checklist_master.ckm_nama}
								</td>
							</tr>
						#{/list}
					#{/if}
					<tr>
						<td><input type="checkbox" id="praulang_toggle" disabled></td>
						<td>Saya yakin akan melakukan Prakualifikasi Ulang pada paket ini.</td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
#{/form}
</div>

<div class="modal fade" id="modalPrakualifikasiBatal">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header" style="background-color:#31b0d5;">
				<h6 class="modal-title" style="margin-bottom: -30px; color: #fff;">Konfirmasi</h6>
				<button type="button" class="close" data-dismiss="modal">&times;</button>
			</div>
			<div class="modal-body">
				Apakah anda yakin akan membatalkan Prakualifikasi pada paket ini ?
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-info" data-dismiss="modal" data-toggle="modal" onClick="functionBatal()">Ya</button>
				<button type="button" class="btn btn-secondary" data-dismiss="modal">Tidak</button>
			</div>
		</div>
	</div>
</div>
</div>
</div>
</div>
</div>

<div id="prabatal" style="display:none;">
#{form @lelang.LelangCtr.praGagalSubmit(lelang.lls_id), id:'form-batalpra'}
	<input type="hidden" name="actionLelang" value="${persetujuan?.pst_jenis?.key}" />
	<div id="alert"></div>
	<table>
		<tr>
			<td>Alasan Prakualifikasi Batal <span class="warning">*</span></td>
		</tr>
		<tr>
			<td>
				<table id="tblChecklist">
					#{if checklist}
						#{list items:checklist, as:'item'}
							<input type="hidden" name="checklistKategori[${item_index-1}].cks_id" value="${item.cks_id}" />
							<tr class="syarat">
								<td width="5">
									#{if item?.checklist_master.checked}
										<input type="hidden" name="checklistKategori[${item_index-1}].ckm_id" value="${item.checklist_master.ckm_id}" />
										<input type="checkbox" name="checklistKategori[${item_index-1}].ckm_id" value="${item.checklist_master.ckm_id}" checked="checked" />
									#{/if}
									#{else}
										<input style="margin-right: 10px;" type="checkbox" class="prabatal_checklist" name="checklistKategori[${item_index-1}].ckm_id" value="${item.checklist_master.ckm_id}" #{if item.checked} checked="checked" #{/if} />
									#{/else}
								</td>
								<td>
								${item?.checklist_master.ckm_nama}
								</td>
							</tr>
						#{/list}
					#{/if}
					<tr>
						<td><input type="checkbox" class="prabatal_checklist" name="chkAlasanBatal" id="chkAlasanBatal"></td>
						<td>Alasan Lainnya</td>
					</tr>
					<tr>
						<td colspan="2"><textarea #{if lelang.isSedangPersetujuanBatalTender()}readonly#{/if} id="alasan" name="alasan" validate="required" cols="50" rows="4" class="form-control" style="display: none;">${lelang?.lls_diulang_karena}</textarea>
							<div class="invalid-feedback">#{error 'alasan'/}</div>
							<div class="bs-callout bs-callout-info">
								<strong>Penting!</strong><br />Tender yang dibatalkan tidak dapat dibuka kembali kecuali oleh admin PPE. Pastikan bahwa ada alasan yang kuat untuk melakukannya. Semua peserta Tender akan mendapatkan pemberitahuan melalui email.
							</div></td>
					</tr>
					<tr>
						<td><input type="checkbox" id="prabatal_toggle" disabled></td>
						<td>Saya yakin akan membatalkan Prakualifikasi pada paket ini</td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
#{/form}
</div>

#{set 'custom_script'}
<script type="text/javascript">
	$(document).on('click', '.praulang_checklist', function(){
		var checked = $('.praulang_checklist:checked').length;
		if (checked < 1) {
			$('#praulang_toggle').prop("checked", false);
			$('#praulang_toggle').prop("disabled", true);
			praulang_dialog.getButton('praulang_yes').disable();
		} else {
			$('#praulang_toggle').prop("disabled", false);
		}
	});

	$(document).on('click', '.prabatal_checklist', function(){
		var checked = $('.prabatal_checklist:checked').length;
		if (checked < 1) {
			$('#prabatal_toggle').prop("checked", false);
			$('#prabatal_toggle').prop("disabled", true);
			prabatal_dialog.getButton('prabatal_yes').disable();
		} else {
			$('#prabatal_toggle').prop("disabled", false);
		}
	});

	$(document).on('click', '#praulang_toggle', function () {
		if ($(this).is(':checked')) {
			praulang_dialog.getButton('praulang_yes').enable();
		} else {
			praulang_dialog.getButton('praulang_yes').disable();
		}
	});

	$(document).on('click', '#prabatal_toggle', function () {
		if ($(this).is(':checked')) {
			prabatal_dialog.getButton('prabatal_yes').enable();
		} else {
			prabatal_dialog.getButton('prabatal_yes').disable();
		}
	});

	var praulang_dialog = new BootstrapDialog({
		draggable: true,
		title:'Prakualifikasi Ulang',
		message:$('#praulang').contents(),
		closable : false,
		buttons: [
			{id:'praulang_yes', name:'praulang_yes', label: 'Ya', cssClass: 'btn-success',
				action: function(dialog) {
					$('#form-ulangpra').submit();
				}
			},
			{id: 'praulang_no', name: 'praulang_no', label: 'Tidak', cssClass: 'btn-info',
				action: function(dialog) {
					dialog.close();
				}
			}]
	});

	function functionUlang() {
		praulang_dialog.realize();
		praulang_dialog.getButton('praulang_yes').disable();
		praulang_dialog.open();
	}


	var prabatal_dialog = new BootstrapDialog({
		draggable: true,
		title:'Prakualifikasi Batal',
		message:$('#prabatal').contents(),
		closable : false,
		buttons: [
			{id:'prabatal_yes', name:'prabatal_yes', label: 'Ya', cssClass: 'btn-success',
				action: function(dialog) {
					$('#form-batalpra').submit();
				}
			},
			{id: 'prabatal_no', name: 'prabatal_no', label: 'Tidak', cssClass: 'btn-info',
				action: function(dialog) {
					dialog.close();
				}
			}]
	});

	function functionBatal() {
		prabatal_dialog.realize();
		prabatal_dialog.getButton('prabatal_yes').disable();
		prabatal_dialog.open();
	}

	$$(document).on('click', '#chkAlasanBatal', function () {
			if ($(this).is(":checked")) {
				$("#alasan").show();
			} else {
				$("#alasan").hide();
			}
		});

		#{if allowPersetujuan}
		//pengaturan untuk tombol setuju dan tidak setuju
		$(document).ready(function() {
			btnPersetujuan($("#alasan"));
		});
		$(document).on('keyup','#alasan', function(){
			btnPersetujuan(this);
		});

		function btnPersetujuan(e){
			var val = $(e).val();
			if(val != ""){
				$("#setuju").attr("disabled", true);
				$("#tidak-setuju").attr("disabled", false);
			}else{
				$("#setuju").attr("disabled", false);
				$("#tidak-setuju").attr("disabled", true);
			}
		}
		#{/if}

</script>
#{/set}
